package roadsearch;


import pathfinder.JPathFinder;

/**
 *
 * @author Petr Buryan
 */
public class Main {
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        //initialise the path finder - RandomPathFinder shall be replaced
        // by student's own implementation
        final JPathFinder pathFinder = new RandomPathFinder();
        
        //run the gui
        if(args.length==0)
            pathFinder.showGUI();   //run without loading the map
        else
            if(args.length==1)      //run & load the map from file given in the first argument
                pathFinder.showGUI(args[0]);
    }
}
